      SUBROUTINE BTH(BX,BY,BZ,CTHN,PHI,B,CTHB)
C
C   NAME- BTH      LANGUAGE-  FORTRAN 77      TYPE- SUBROUTINE
C
C   VERSION- 1.0        DATE-5/22/92         PROGRAMMER- P.ROSENKRANZ
C
C   FUNCTION- COMPUTES B AND CTHB FOR INPUT TO TBMX
C 
C   CALLING SEQUENCE PARAMETERS-
C
C   NAME   TYPE   I/O    DESCRIPTION
C   BX     REAL    I     NORTHWARD COMPONENT OF MAG FIELD
C   BY     REAL    I     EASTWARD COMPONENT OF MAG FIELD
C   BZ     REAL    I     DOWNWARD COMPONENT OF MAG FIELD
C   CTHN   REAL    I     COS(NADIR ANGLE OF PROPAGATION VECTOR)
C                       (+ FOR GROUND-BASED OBSERVATION,
C                        - FOR SATELLITE-BASED OBSERVATION)
C   PHI    REAL    I     AZIMUTH ANGLE OF PROPAGATION VECTOR MEAS
C                       FROM NORTH TOWARD EAST, IN DEG
C   B      REAL    O     MAGNITUDE OF MAGNETIC FIELD, IN SAME UNITS
C                       AS BX,BY,BZ
C   CTHB   REAL    O     COS(ANGLE BETWEEN FIELD AND PROPAGATION VECTOR)
C***********************************************************************
      B = SQRT(BX*BX +BY*BY +BZ*BZ)
      UZ = CTHN
      STH = SQRT(1.-CTHN*CTHN)
      PHIR = PHI/57.296
      UX = STH*COS(PHIR)
      UY = STH*SIN(PHIR)
      CTHB = (UX*BX +UY*BY +UZ*BZ)/B
      RETURN
      END

