      SUBROUTINE FINDLINE(FREQ,FLIMIT,JU,DELF)
C find O2 line index if a frequency is within FLIMIT of a spin-rotation line
c 5/5/2022 P.Rosenkranz
c
      IMPLICIT NONE
c Input:
      REAL FREQ !frequency (GHz)
      REAL FLIMIT !test value (GHz)
c Outputs:                                    
      INTEGER JU !line index (1-34), if FREQ is within FLIMIT of
c                the line center, otherwise zero.
      REAL DELF ! distance of freq from line center (GHz) if JU>0
c Local variables
      INTEGER JTEST
      REAL FL(34) !  O2 freq's from HITRAN96
      DATA FL/118.7503, 56.2648, 62.4863, 58.4466, 60.3061, 59.5910,
     2  59.1642, 60.4348, 58.3239, 61.1506, 57.6125, 61.8002,
     3  56.9682, 62.4112, 56.3634, 62.9980, 55.7838, 63.5685,
     4  55.2214, 64.1278, 54.6712, 64.6789, 54.1300, 65.2241,
     5  53.5958, 65.7648, 53.0669, 66.3021, 52.5424, 66.8368,
     6  52.0214, 67.3696, 51.5034, 67.9009/
C
       DO JTEST=1,34
         DELF = FREQ - FL(JTEST) 
         IF(ABS(DELF).LT.FLIMIT) THEN
           JU = JTEST
           RETURN
         ENDIF
       END DO
       JU = 0 ! not near any line center
       DELF = 10.
       RETURN
       END


